Bug 1674812 - direwolf: FTBFS in Fedora rawhide/f30
Summary: direwolf: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: direwolf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:04 UTC by Fedora Release Engineering
Modified: 2019-02-19 07:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 08:20:32 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Github wb2osz direwolf issues 196 None None None 2019-02-13 23:44:32 UTC

Description Fedora Release Engineering 2019-02-11 17:04:40 UTC
direwolf failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32376502


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix direwolf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
direwolf will be orphaned. Before branching of Fedora 31,
direwolf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:04:42 UTC
Created attachment 1529717 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:04:43 UTC
Created attachment 1529718 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:04:44 UTC
Created attachment 1529719 [details]
state.log

Comment 4 Matt Domsch 2019-02-13 23:43:57 UTC
Upstream bug https://github.com/wb2osz/direwolf/issues/196 filed.  gpsd changed its API, direwolf will need to adjust.

Comment 5 Fedora Update System 2019-02-18 05:29:23 UTC
direwolf-1.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2361aa6c42

Comment 6 Fedora Update System 2019-02-18 05:30:09 UTC
direwolf-1.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f9cbaf5c31

Comment 7 Igor Gnatenko 2019-02-18 08:20:32 UTC
There has been at least one successfull build after mass rebuild.

direwolf-1.5-1.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1211759

Comment 8 Fedora Update System 2019-02-19 06:27:15 UTC
direwolf-1.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f9cbaf5c31

Comment 9 Fedora Update System 2019-02-19 07:07:08 UTC
direwolf-1.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2361aa6c42


Note You need to log in before you can comment on or make changes to this bug.